// 校验手机号是否合法
export function isMobile(arg) {
  const reg = /^1[3456789]\d{9}$/
  return reg.test(arg)
}
// 判断浏览器环境是否为微信
export function isWeChat() {
  // window.navigator.userAgent属性包含了浏览器类型、版本、操作系统类型、浏览器引擎类型等信息，这个属性可以用来判断浏览器类型
  var ua = window.navigator.userAgent.toLowerCase()
  // 通过正则表达式匹配ua中是否含有MicroMessenger字符串
  return (
    ua.match(/MicroMessenger/i) &&
    ua.match(/MicroMessenger/i).includes('micromessenger')
  )
}
